Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.mohm.common.v7
Class SupportAndRepairViewType

    java.lang.Object
      be.vlaanderen.mercurius.mohm.common.v7.SupportAndRepairViewType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2025-09-16T05:20:34+02:00",
               comments="JAXB RI v2.3.6")
    public class SupportAndRepairViewType

extends Object
implements Serializable

Generiek type voor het beeld van een actief budget onderhoud en herstel.

Java class for SupportAndRepairViewType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SupportAndRepairViewType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MobilityTool" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}SupportAndRepairViewMobilityToolType"/>
             <element name="BTC" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}SupportAndRepairViewBTCType" minOccurs="0"/>
             <element name="SupportAndRepair" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}SupportAndRepairType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`SupportAndRepairViewType()`

Method Summary
`SupportAndRepairViewBTCType` | `getBTC()` Gets the value of the btc property.
`SupportAndRepairViewMobilityToolType` | `getMobilityTool()` Gets the value of the mobilityTool property.
`SupportAndRepairType` | `getSupportAndRepair()` Gets the value of the supportAndRepair property.
`void` | `setBTC(SupportAndRepairViewBTCType value)` Sets the value of the btc property.
`void` | `setMobilityTool(SupportAndRepairViewMobilityToolType value)` Sets the value of the mobilityTool property.
`void` | `setSupportAndRepair(SupportAndRepairType value)` Sets the value of the supportAndRepair property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SupportAndRepairViewType

    public SupportAndRepairViewType()

Method Detail

### getMobilityTool

    public SupportAndRepairViewMobilityToolType getMobilityTool()

  Gets the value of the mobilityTool property.

  Returns:
    possible object is `SupportAndRepairViewMobilityToolType`

### setMobilityTool

    public void setMobilityTool(SupportAndRepairViewMobilityToolType value)

  Sets the value of the mobilityTool property.

  Parameters:
    `value` - allowed object is `SupportAndRepairViewMobilityToolType`

### getBTC

    public SupportAndRepairViewBTCType getBTC()

  Gets the value of the btc property.

  Returns:
    possible object is `SupportAndRepairViewBTCType`

### setBTC

    public void setBTC(SupportAndRepairViewBTCType value)

  Sets the value of the btc property.

  Parameters:
    `value` - allowed object is `SupportAndRepairViewBTCType`

### getSupportAndRepair

    public SupportAndRepairType getSupportAndRepair()

  Gets the value of the supportAndRepair property.

  Returns:
    possible object is `SupportAndRepairType`

### setSupportAndRepair

    public void setSupportAndRepair(SupportAndRepairType value)

  Sets the value of the supportAndRepair property.

  Parameters:
    `value` - allowed object is `SupportAndRepairType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.